Package org.gradle.api.artifacts

# Interface DependenciesMetadata<T extends DependencyMetadata>

Type Parameters:
  `T` - type of the dependency metadata in this collection

All Superinterfaces:
  `Collection<T>`, `Iterable<T>`

All Known Subinterfaces:
  `DependencyConstraintsMetadata`, `DirectDependenciesMetadata`

public interface DependenciesMetadata<T extends DependencyMetadata> extends Collection<T>
Describes metadata about a dependency - direct dependencies or dependency constraints - declared in a resolved component's metadata.

Since:
  4.4

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(String dependencyNotation)`
  Add a dependency or a dependency constraint using the string notation: `group:name:version`.
  `void`
  `add(String dependencyNotation, Action<? super T> configureAction)`
  Add a dependency or a dependency constraint using the string notation: `group:name:version`.
  `void`
  `add(Map<String,String> dependencyNotation)`
  Add a dependency or a dependency constraint using the map notation: `group: group, name: name, version: version`.
  `void`
  `add(Map<String,String> dependencyNotation, Action<? super T> configureAction)`
  Add a dependency or a dependency constraint using the map notation: `group: group, name: name, version: version`.

  ### Methods inherited from interface java.util.Collection

  `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, parallelStream, remove, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

- ## Method Details

  - ### add

    void add(String dependencyNotation)
    Add a dependency or a dependency constraint using the string notation: `group:name:version`.
    Parameters:
      `dependencyNotation` - the dependency

  - ### add

    void add(Map<String,String> dependencyNotation)
    Add a dependency or a dependency constraint using the map notation: `group: group, name: name, version: version`.
    Parameters:
      `dependencyNotation` - the dependency

  - ### add

    void add(String dependencyNotation, Action<? super T> configureAction)
    Add a dependency or a dependency constraint using the string notation: `group:name:version`.
    Parameters:
      `dependencyNotation` - the dependency
      `configureAction` - action to configure details of the dependency - see `DependencyMetadata`

  - ### add

    void add(Map<String,String> dependencyNotation, Action<? super T> configureAction)
    Add a dependency or a dependency constraint using the map notation: `group: group, name: name, version: version`.
    Parameters:
      `dependencyNotation` - the dependency
      `configureAction` - action to configure details of the dependency - see `DependencyMetadata`